Package org.apache.sling.api.request

# Interface SlingJakartaRequestListener

@ConsumerType public interface SlingJakartaRequestListener
Implementations of this service interface receive notifications about changes to Sling request of the Sling application they are part of. To receive notification events, the implementation class must be registered as an OSGi service with the service name org.apache.sling.api.request.event.SlingRequestListener.

Since:
  2.8.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SERVICE_NAME`

## Method Summary

Modifier and Type
Method
Description
`void`
`onEvent(SlingJakartaRequestEvent sre)`
This method is called from the Sling application for every `EventType` appearing during the dispatching of a Sling request

## Field Details

### SERVICE_NAME

static final String SERVICE_NAME

See Also:
  - Constant Field Values

## Method Details

### onEvent

void onEvent(SlingJakartaRequestEvent sre)
This method is called from the Sling application for every `EventType` appearing during the dispatching of a Sling request

Parameters:
  `sre` - the object representing the event
See Also:
  - `SlingJakartaRequestEvent.EventType`